<div *ngIf="hero">

    <h2>{{hero.name | uppercase}}</h2>
    <div><span>id: </span>{{hero.id}}</div>
    <div>
        <label>email:
            <input [(ngModel)]="hero.email" placeholder="email" />
        </label>
    </div>

    <button (click)="emailUpdate(hero)">save</button>

    <div *ngFor="let ability of hero.listAbility">
        {{ability.potere}}
    </div>
</div>

<form (submit)="addAbility(abilityPotere.value, abilityDescrizione.value)">


    <div class="example-container">
        <mat-form-field class="form">
            <input matInput placeholder="potere" #abilityPotere>
        </mat-form-field>
        <br>
        <mat-form-field class="form">
            <input matInput placeholder="Descrizione" #abilityDescrizione>
        </mat-form-field>

    </div>
    <button mat-button type="submit" class="button">
        save ability
    </button>
</form>

<div *ngFor="let ability of listAbility">
    {{ability.potere}}
    <button mat-button (click)="addAbilityHero(hero.id, ability)">add</button>
    <button mat-button (click)="deleteAbility(ability.id)">delete</button>

</div>
